Bug 1434996 - split-stack: openstack-selinux not installed by deployed-server bootstrap
Summary: split-stack: openstack-selinux not installed by deployed-server bootstrap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: James Slagle
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-22 21:07 UTC by James Slagle
Modified: 2017-05-17 20:12 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:12:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 448789 None None None 2017-03-22 21:08:23 UTC
Launchpad 1675170 None None None 2017-03-22 21:07:55 UTC

Description James Slagle 2017-03-22 21:07:05 UTC
apparently no other packages actually requires openstack-selinux, so we need to install it explicitly in the deployed server bootstrap scripts.

Comment 1 James Slagle 2017-03-23 12:41:16 UTC
this can be temporarily worked around by manually installing openstack-selinux on the deployed servers before the overcloud deployment

Comment 2 Emilien Macchi 2017-03-27 15:27:39 UTC
Patch has been merged master upstream (and currently being backported in upstream stable/ocata).

Moving it to POST until next donwstream build that contains the fix.

Comment 3 Jaromir Coufal 2017-03-30 03:33:55 UTC
Removing blocker due to workaround, if it misses GA, we will need to doc_text.

Comment 6 errata-xmlrpc 2017-05-17 20:12:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.